\ LinManual.man - Minos/Theseus manual

\ The output to manual.tex controls the final build of the PDF
\ file by pdflatex.
\ =========
\ *! manual
\ =========

\ *R \input texinfo
\ *R @tex
\ *R \input xepsf
\ *R @end tex
\ *R @setfilename            minos.info
( *R @setcontentsaftertitlepage                                         )
( *R @afourpaper                                                        )
\ *R @settitle               Minos and Theseus
( *R @setchapternewpage      odd                                        )
( *R @paragraphindent        0                                          )
( *R @exampleindent          0                                          )
( *R @finalout                                                          )

\ *R @tex
\ *R \newcount\sheetno\sheetno=0
\ *R \global\def\advancepageno{\global\advance\sheetno 1\ifnum\pageno<0\global\advance\pageno -1\else\global\advance\pageno 1\fi}
\ *R @end tex

\ *R @include titlepg
\ *R @include license
\ *R @include theseus
\ *R @include boof
\ *R @include vfxharness

\ *R @unnumbered{Index}
\ *R @*
\ *R @printindex fn

\ *R @bye
\ ======
\ *> ###
\ ======

\ The output to titlepg.tex builds the manual's title page.
\ ==========
\ *! titlepg
\ ==========
\ *R @titlepage
\ *R
\ *R @title                  Minos and Theseus
\ *R @subtitle               GUI Display and Designer in Forth
\ *R
\ *R @vskip 0.5in
\ *R
\ *R @center @image{Images/minostheseus,6in,,,.png}
\ *R @author                 Bernd Paysan & Stephen Pelc
\ *R @page
\ *R
\ *R @vskip 0pt plus 1filll
\ *R
\ *R Copyright @copyright{} Bernd Paysan & Microprocessor Engineering Limited
( *R                                                                    )
( *R Published by Microprocessor Engineering                            )
( *R                                                                    )
( *R                                                                    )
( *R                                                                    )
( *R @page                                                              )
\ *R Minos and Theseus @*
( *R User manual                                                   @*   )
( *R Manual revision 4.4                                          @*   )
( *R @today{}                                                      @*   )
( *R                                                               @*   )
( *R                                                               @*   )
( *R Software                                                      @*   )
( *R Software version 4.40                                         @*   )
( *R                                                               @*   )
( *R                                                               @*   )
( *R For technical support                                         @*   )
( *R Please contact your supplier                                  @*   )
( *R                                                               @*   )
( *R                                                               @*   )
( *R For further information:                                      @*   )
\ *R Bernd Paysan @*
\ *R email:     bernd.paysan@@gmx.de @*
( *R MicroProcessor Engineering Limited                            @*   )
( *R 133 Hill Lane                                                 @*   )
( *R Southampton SO15 5AF                                          @*   )
( *R UK                                                            @*   )
( *R                                                               @*   )
\ *R Tel:       +44 (0)23 8063 1441                                @*
\ *R Fax:       +44 (0)23 8033 9691                                @*
( *R e-mail:    mpe@@mpeforth.com                            @*   )
( *R   tech-support@@mpeforth.com                            @*   )
( *R web:       www.mpeforth.com                             @*   )
( *R                                                               @*   )
( *R @page                                                              )
( *R @end titlepage                                                     )

\ Create file manual.off with one line of form:
\   \entry {\code {!}}{29}
\ This is used by the Forth to find the the PDF page number of the
\ main body of the document.
\ *R @tex
\ *R \newwrite\offsetfile
\ *R \immediate\openout\offsetfile=\jobname.off
\ *R \immediate\write\offsetfile{\string\entry\space{\string\code\space{!!firstpage!!}}{\number\sheetno}}
\ *R \immediate\closeout\offsetfile
\ *R @end tex

\ ======
\ *> ###
\ ======

