#! /bin/bash

# Install the compiler and VFX Forth to /usr/bin
# Install the shared libraries to /usr/lib
if [ -d Bin ]
then
  # not Mission
  sudo cp -p  Bin/vfxlin*  /usr/bin/
  sudo cp -p  Bin/*.so.*  /usr/lib/
else
  if [ -d Sources/Images ]
  then
    # Mission
    sudo cp -p  Sources/Images/vfxlin*  /usr/bin/
    sudo cp -p  Sources/Images/*.so.*  /usr/lib/
  else
    echo Cannot find executable files
    exit 2
  fi
fi

# Create the necessary links
pushd /usr/lib
sudo ln -s vfxsupp.so.1.0.1 vfxsupp.so.1
popd

# Create a default INI file if there isn't one
if [ ! -f  ${HOME}/.VfxForth.ini ]
then
  ./ChangeIni.Lin32.sh
fi
