\ dshifts.fth - double left/right shift operations

((
Copyright (c) 2012
MicroProcessor Engineering
133 Hill Lane
Southampton SO15 5AF
England

tel:   +44 (0)23 8063 1441
fax:   +44 (0)23 8033 9691
email: mpe@mpeforth.com
       tech-support@mpeforth.com
web:   http://www.mpeforth.com
Skype: mpe_sfp

From North America, our telephone and fax numbers are:
       011 44 23 8063 1441
       011 44 23 8033 9691
       901 313 4312 (North American access number to UK office)


To do
=====

Change history
==============
))

only forth definitions
decimal

\ ===========
\ *! dshifts
\ *T Double shifts
\ ===========

code dlshift	\ d n -- d<<n
\ *G Double left shift by n bits.
  mov   ecx, ebx		\ n
  mov   ebx, 0 [ebp]		\ dh
  mov   edx, 4 [ebp]		\ dl
  lea   ebp, 4 [ebp]
  shld  ebx, edx, cl		\ dh<<n
  shl   edx, cl			\ dl<<n
  mov   0 [ebp], edx
  next,
end-code
  
code drshift	\ d n -- d>>n
\ *G Double left shift by n bits.
  mov   ecx, ebx		\ n
  mov   ebx, 0 [ebp]		\ dh
  mov   edx, 4 [ebp]		\ dl
  lea   ebp, 4 [ebp]
  shrd  edx, ebx, cl		\ dl>>n
  shr   ebx, cl			\ dh>>n
  mov   0 [ebp], edx
  next,
end-code
  
  
\ ======
\ *> ###
\ ======

decimal

